@import './../../../../scss/variables.scss';


.link-with-copy {
  display: flex;

  a,
  /* stylelint-disable-next-line */
  a span {
    color: $link-color;
    text-decoration: none;

    &:hover {
      text-decoration: underline;
    }
  }

  .parameters-url-icon {
    color: $brand-color;

    &:hover {
      cursor: pointer;
    }
  }

  .parameters-url {
    background-color: $grey-background-color;
    border: 1px solid $grey-super-light-color;
    transition: all 0.5s ease;
    word-break: break-all;
    flex-shrink: 1;
    padding: 0.7rem 0.5rem;
    min-height: 2.5rem;

    // ng-deep needed because of the innerHtml breaks the styling
    /* stylelint-disable-next-line */
    ::ng-deep .is-active-parameter {
      font-weight: bold;
      color: $link-color;
    }

    /* stylelint-disable-next-line */
    a.is-disabled ::ng-deep .is-active-parameter {
      font-weight: bold;
      color: $grey-dark-color;
    }

    a.is-disabled,
    a.is-disabled span {
      pointer-events: none;
      color: $grey-dark-color;
    }
  }

  .button {
    font-size: 0.875rem;
    margin-left: 0.5rem;
    position: relative;
    margin-right: 0.5rem;
    height: 2.75rem;
    width: 2.75rem;
    border-color: $grey-super-light-color;

    svg {
      position: absolute;
      width: 1.25rem;
      left: calc(50% - (1.25rem / 2));
      top: calc(50% - (1.25rem / 2));
    }

    svg path {
      fill: $grey-dark-color;
    }
  }

  .button:hover {
    svg {
      opacity: 0.7;
    }
  }

  a.root-url {
    pointer-events: none;
    cursor: default;
    text-decoration: none;
    color: $grey-dark-color;

  }
}
